<?php
/***************************************************************************
 *                           lang_english.php  -  description
 *                              -------------------
 *     begin                : Sat Dec 16 2000
 *	    copyright            : (C) 2001 The phpBB Group
 *  	 email                : support@phpbb.com
 *
 *     $Id: lang_turkce.php,v 1.5 2005/05/10 12:23:43 bmol Exp $
 *
 *  ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

$l_forum 	= "Forum";
$l_forums	= "Forums";
$l_topic	= "Topic";
$l_topics 	= "Topics";
$l_replies	= "Replies";
$l_poster	= "Poster";
$l_author	= "Author";
$l_views	= "Views";
$l_post 	= "Post";
$l_posts 	= "Posts";
$l_message	= "Message";
$l_messages	= "Messages";
$l_subject	= "Subject";
$l_body		= "$l_message Body";
$l_from		= "From";   // Message from
$l_moderator 	= "Moderator";
$l_username 	= "Username";
$l_password 	= "Password";
$l_email 	= "Email";
$l_emailaddress	= "Email Address";
$l_preferences	= "Preferences";

$l_anonymous	= "Anonymous";  // Post
$l_guest	= "Guest"; // Whosonline
$l_noposts	= "No $l_posts";
$l_joined	= "Joined";
$l_gotopage	= "Goto page";
$l_nextpage 	= "Next Page";
$l_prevpage     = "Previous Page";
$l_go		= "Go";
$l_selectforum	= "Select a $l_forum";

$l_date		= "Date";
$l_number	= "Number";
$l_name		= "Name";
$l_options 	= "Options";
$l_submit	= "Submit";
$l_confirm 	= "Confirm";
$l_enter 	= "Enter";
$l_by		= "by"; // Posted by
$l_ondate	= "on"; // This message is edited by: $username on $date
$l_new          = "New";

$l_html		= "HTML";
$l_bbcode	= "BBcode";
$l_smilies	= "Smilies";
$l_on		= "On";
$l_off		= "Off";
$l_yes		= "Yes";
$l_no		= "No";

$l_click 	= "Click";
$l_here 	= "here";
$l_toreturn	= "to return";
$l_returnindex	= "$l_toreturn to the forum index";
$l_returntopic	= "$l_toreturn to the forum topic list.";

$l_error	= "Error";
$l_tryagain	= "Please go back and try again.";
$l_mismatch 	= "Passwords do not match.";
$l_userremoved 	= "This user has been removed from the User database";
$l_wrongpass	= "You entered the wrong password.";
$l_userpass	= "Please enter your username and password.";
$l_banned 	= "You have been banned from this forum. Contact the system administrator if you have any questions.";
$l_enterpassword= "You must enter your password.";

$l_nopost	= "You do not have access to post to this forum.";
$l_noread	= "You do not have access to read this forum.";

$l_lastpost 	= "Last $l_post";
$l_sincelast	= "since your last visit";
$l_newposts 	= "New $l_posts $l_sincelast";
$l_nonewposts 	= "No New $l_posts $l_sincelast";

// Index page
$l_indextitle	= "Forum Index";

// Members and profile
$l_profile	= "Profile";
$l_register	= "Register";
$l_onlyreq 	= "Only requried if being changed";
$l_location 	= "From";
$l_viewpostuser	= "View posts by this user";
$l_perday       = "$l_messages per day";
$l_oftotal      = "of total";
$l_url 		= "URL";
$l_icq 		= "ICQ";
$l_icqnumber	= "ICQ Number";
$l_icqadd	= "Add";
$l_icqpager	= "Pager";
$l_aim 		= "AIM";
$l_yim 		= "YIM";
$l_yahoo 	= "Yahoo Messenger";
$l_msn 		= "MSN";
$l_messenger 	= "MSN Messenger";
$l_website 	= "Web Site Address";
$l_occupation 	= "Occupation";
$l_interests 	= "Interests";
$l_signature 	= "Signature";
$l_sigexplain 	= "This is a block of text that can be added to posts you make.<BR>255 characters max!";
$l_usertaken	= "The $l_username you picked has been taken.";
$l_userdisallowed= "The $l_username you picked has been disallowed by the administrator. $l_tryagain";
$l_infoupdated	= "Your Information has been updated";
$l_publicmail	= "Allow other users to view my $l_emailaddress";
$l_itemsreq	= "Items marked with a * are required";

// Viewforum
$l_viewforum	= "View Forum";
$l_notopics	= "There are no topics for this forum. You can post one.";
$l_hotthres	= "More then $hot_threshold $l_posts";
$l_islocked	= "$l_topic is Locked (No new $l_posts may be made in it)";
$l_moderatedby	= "Moderated by";

// Private forums
$l_privateforum	= "This is a <b>Private Forum</b>.";
$l_private 	= "$l_privateforum<br>Note: you must have cookies enabled in order to use private forums.";
$l_noprivatepost = "$l_privateforum You do not have access to post to this forum.";

// Viewtopic
$l_topictitle	= "View $l_topic";
$l_unregistered	= "Unregistered User";
$l_posted	= "Posted";
$l_profileof	= "View Profile of";
$l_viewsite	= "Goto the website of";
$l_icqstatus	= "$l_icq status";  // ICQ status
$l_editdelete	= "Edit/Delete This $l_post";
$l_replyquote	= "Reply with quote";
$l_viewip	= "View Posters IP (Moderators/Admins Only)";
$l_locktopic	= "Lock this $l_topic";
$l_unlocktopic	= "Unlock this $l_topic";
$l_movetopic	= "Move this $l_topic";
$l_deletetopic	= "Delete this $l_topic";

// Functions
$l_loggedinas	= "Logged in as";
$l_notloggedin	= "Not logged in";
$l_logout	= "Logout";
$l_login	= "Login";

// Page_header
$l_separator	= " &gt; ";  // Included here because some languages have
		          // problems with high ASCII (Big-5 and the like).
$l_editprofile	= "Edit Profile";
$l_editprefs	= "Edit $l_preferences";
$l_search	= "Search";
$l_memberslist	= "Memberslist";
$l_faq		= "FAQ";
$l_privmsgs	= "Private $l_messages";
$l_sendpmsg	= "Send a Private Message";
$l_statsblock   = '$statsblock = "Our users have posted a total of -$total_posts- $l_messages.<br>
We have -$total_users- Registered Users.<br>
The newest Registered User is -<a href=\"$profile_url\">$newest_user</a>-.<br>
-$users_online- ". ($users_online==1?"user is":"users are") ." <a href=\"$online_url\">currently browsing</a> the forums.<br>";';
$l_privnotify   = '$privnotify = "<br>You have $new_message <a href=\"$privmsg_url\">new private ".($new_message>1?"messages":"message")."</a>.";';

// Page_tail
$l_adminpanel	= "Administration Panel";
$l_poweredby	= "Powered by";
$l_version	= "Version";

// Auth

// Register
$l_notfilledin	= "Error - you did not fill in all the required fields.";
$l_invalidname	= "The username you chose \"$username\" has been taken.";
$l_disallowname	= "The username you chose, \"$username\" has been disallowed by the administrator.";

$l_welcomesubj	= "Welcome to $sitename Forums";
$l_welcomemail	=
"
$l_welcomesubj,

Please keep this email for your records.


Your account information is as follows:

----------------------------
Username: $username
Password: $password
----------------------------

Please do not forget your password as it has been encrypted in our database and we cannot retrieve it for you.
However, should you forget your password we provide an easy to use script to generate and email a new, random, password.

Thank you for registering.

$email_sig
";
$l_beenadded	= "You have been added to the database.";
$l_thankregister= "Thank you for registering!";
$l_useruniq	= "Must be unique. No two users can have the same Username.";
$l_storecookie	= "Store my username in a cookie for 1 year.";

// Prefs
$l_prefupdated	= "$l_preferences updated. $l_click <a href=\"index.$phpEx\">$l_here</a> $l_returnindex";
$l_editprefs	= "Edit Your $l_preferences";
$l_themecookie	= "NOTE: In order to use themes you MUST have cookies enabled.";
$l_alwayssig	= "Always attach my signature";
$l_alwaysdisable= "Always disable"; // Only used for next three strings
$l_alwayssmile	= "$l_alwaysdisable $l_smilies";
$l_alwayshtml	= "$l_alwaysdisable $l_html";
$l_alwaysbbcode	= "$l_alwaysdisable $l_bbcode";
$l_boardtheme	= "Board Theme";
$l_boardlang    = "Board Language";
$l_nothemes	= "No Themes In database";
$l_saveprefs	= "Save $l_preferences";

// Search
$l_searchterms	= "Keywords";
$l_searchany	= "Search for ANY of the terms (Default)";
$l_searchall	= "Search for ALL of the terms";
$l_searchallfrm	= "Search All Forums";
$l_sortby	= "Sort by";
$l_searchin	= "Search in";
$l_titletext	= "Title & Text";
$l_search	= "Search";
$l_nomatches	= "No records match that query. Please broaden your search.";

// Whosonline
$l_whosonline	= "Who's online?";
$l_nousers	= "No Users are currently browsing the forums";


// Editpost
$l_notedit	= "You can't edit a post that isn't yours.";
$l_permdeny	= "You did not supply the correct $l_password or do not have permission to edit this post. $l_tryagain";
$l_editedby	= "This $l_message was edited by:";
$l_stored	= "Your $l_message has been stored in the database.";
$l_viewmsg	= "to view your $l_message.";
$l_deleted	= "Your $l_post has been deleted.";
$l_nouser	= "That $l_username doesn't exist.";
$l_passwdlost	= "I forgot my password!";
$l_delete	= "Delete this Post";

$l_disable	= "Disable";
$l_onthispost	= "on this Post";

$l_htmlis	= "$l_html is";
$l_bbcodeis	= "$l_bbcode is";

$l_notify	= "Notify by email when replies are posted";

// Newtopic
$l_emptymsg	= "You must type a $l_message to post. You cannot post an empty $l_message.";
$l_aboutpost	= "About Posting";
$l_regusers	= "All <b>Registered</b> users";
$l_anonusers	= "<b>Anonymous</b> users";
$l_modusers	= "Only <B>Moderators and Administrators</b>";
$l_anonhint	= "<br>(To post anonymously simply do not enter a username and password)";
$l_inthisforum	= "can post new topics and replies to this forum";
$l_attachsig	= "Show signature <font size=-2>(This can be altered or added in your profile)</font>";
$l_cancelpost	= "Cancel Post";

// Reply
$l_nopostlock	= "You cannot post a reply to this topic, it has been locked.";
$l_topicreview  = "Topic Review";
$l_notifysubj	= "A reply to your topic has been posted.";
$l_notifybody	= 'Dear $m[username]\r\nYou are receiving this Email because a message
you posted on $sitename forums has been replied to, and
you selected to be notified on this event.

You may view the topic at:

http://$SERVER_NAME$url_phpbb/viewtopic.$phpEx?topic=$topic&forum=$forum

Or view the $sitename forum index at

http://$SERVER_NAME$url_phpbb

Thank you for using $sitename forums.

Have a nice day.

$email_sig';


$l_quotemsg	= '[quote]\nOn $m[post_time], $m[username] wrote:\n$text\n[/quote]';

// Sendpmsg
$l_norecipient	= "You must enter the username you want to send the $l_message to.";
$l_sendothermsg	= "Send another Private Message";
$l_cansend	= "can send $l_privmsgs";  // All registered users can send PM's
$l_yourname	= "Your $l_username";
$l_recptname	= "Recipient $l_username";

// Replypmsg
$l_pmposted	= "Reply Posted, you can click <a href=\"viewpmsg.$phpEx\">here</a> to view your $l_privmsgs";

// Viewpmsg
$l_nopmsgs	= "You don't have any $l_privmsgs.";
$l_reply	= "Reply";

// Delpmsg
$l_deletesucces	= "Deletion successful.";

// Smilies
$l_smilesym	= "What to type";
$l_smileemotion	= "Emotion";
$l_smilepict	= "Picture";

// Sendpasswd
$l_wrongactiv	= "The activation key you provided is not correct. Please check email $l_message you recived and make sure you have copied the activation key exactly.";
$l_passchange	= "Your password has been successfully changed. You may now goto your <a href=\"bb_profile.$phpEx?mode=edit\">profile</a> and change your password to a more suitable one.";
$l_wrongmail	= "The email address you entered does not match the one stored in our database.";

$l_passsubj	= "$sitename Forums Password Change";

$l_pwdmessage	= 'Dear $checkinfo[username],
You are receiving this email because you (or someone pretending to be you)
has requested a passwordchange on $sitename forums. If you believe you have
received this message in error simply delete it and your password will remain
the same.

Your new password as generated by the forums is: $newpw

In order for this change to take effect you must visit this page:

   http://$SERVER_NAME'.$_SERVER['PHP_SELF'].'?actkey=$key

Once you have visited the page your password will be changed in our database,
and you may login to the profile section and change it as desired.

Thank you for using $sitename Forums

$email_sig';

$l_passsent	= "Your password has changed to a new, random, password. Please check your email on how to complete the password change procedure.";
$l_emailpass	= "Email Lost Password";
$l_passexplain	= "Please fill out the form, a new password will be sent to your Email address";
$l_sendpass	= "Send Password";

// ADDED BY UGENT, Patrick Cool, february 2004, topic notification
$lang_mail_notification_title="reply to topic: "; 
$lang_mail_notification_captatio="Dear "; 
$lang_mail_notification_hasreplied=" has answered to a forum message ";
$lang_mail_notification_ofcourse=" of the course ";
$lang_mail_notification_informed="You stated that you wanted to be informed of replies to this forum message."; 
$lang_mail_notification_yesiwant="Yes, I want to be informed by e-mail ( ".$_user ['mail']." ) when a reply is posted";

// ADDED BY UGENT, Patrick Cool, march 2004, flat/thread view
$lang_reply_this_message="Reply to this message"; 
$lang_author="Author";
$lang_threaded_view="Threaded view";
$lang_flat_view="Flat view";
$lang_lock="Lock";
$lang_unlock="Unlock";
$lang_locked="locked";
$lang_edit_post="Edit Post";
$lang_new_topic="New topic";
$lang_post_new_topic_in="Post a new topic in";
?>
